
    alter table jpa04_hb_personne 
        drop 
        foreign key FKEA3F04515FE379D0;

    drop table if exists jpa04_hb_adresse;

    drop table if exists jpa04_hb_personne;

    create table jpa04_hb_adresse (
        id bigint not null auto_increment,
        version integer not null,
        adr1 varchar(30) not null,
        adr2 varchar(30),
        adr3 varchar(30),
        codePostal varchar(5) not null,
        ville varchar(20) not null,
        cedex varchar(3),
        pays varchar(20) not null,
        primary key (id)
    ) ENGINE=InnoDB;

    create table jpa04_hb_personne (
        id bigint not null auto_increment,
        version integer not null,
        nom varchar(30) not null unique,
        prenom varchar(30) not null,
        datenaissance date not null,
        marie bit not null,
        nbenfants integer not null,
        adresse_id bigint not null unique,
        primary key (id)
    ) ENGINE=InnoDB;

    alter table jpa04_hb_personne 
        add index FKEA3F04515FE379D0 (adresse_id), 
        add constraint FKEA3F04515FE379D0 
        foreign key (adresse_id) 
        references jpa04_hb_adresse (id);
