package service;

import java.util.List;

import entites.Personne;

public interface IService {
	// obtenir une personne via son identifiant
	public Personne getOne(Integer id);

	// obtenir toutes les personnes
	public List<Personne> getAll();

	// sauvegarder une personne
	public Personne saveOne(Personne personne);

	// mettre  jour une personne
	public Personne updateOne(Personne personne);

	// supprimer une personne via son identifiant
	public void deleteOne(Integer id);

	// obtenir les personnes dont le nom correspond un modle
	public List<Personne> getAllLike(String modele);

	// supprimer plusieurs personnes  la fois
	public void deleteArray(Personne[] personnes);

	// sauvegarder plusieurs personnes  la fois
	public Personne[] saveArray(Personne[] personnes);

	// metre  jour plusieurs personnes  la fois
	public Personne[] updateArray(Personne[] personnes);

}
