
    alter table jpa08_hb_personne 
        drop constraint FKA44B1E555FE379D0;

    alter table jpa08_hb_personne_activite 
        drop constraint FK5A6A55A5CD852024;

    alter table jpa08_hb_personne_activite 
        drop constraint FK5A6A55A568C7A284;

    drop table jpa08_hb_activite;

    drop table jpa08_hb_adresse;

    drop table jpa08_hb_personne;

    drop table jpa08_hb_personne_activite;

    create table jpa08_hb_activite (
        id numeric(19,0) identity not null,
        version int not null,
        nom varchar(30) not null unique,
        primary key (id)
    );

    create table jpa08_hb_adresse (
        id numeric(19,0) identity not null,
        version int not null,
        adr1 varchar(30) not null,
        adr2 varchar(30) null,
        adr3 varchar(30) null,
        codePostal varchar(5) not null,
        ville varchar(20) not null,
        cedex varchar(3) null,
        pays varchar(20) not null,
        primary key (id)
    );

    create table jpa08_hb_personne (
        id numeric(19,0) identity not null,
        version int not null,
        nom varchar(30) not null unique,
        prenom varchar(30) not null,
        datenaissance datetime not null,
        marie tinyint not null,
        nbenfants int not null,
        adresse_id numeric(19,0) not null unique,
        primary key (id)
    );

    create table jpa08_hb_personne_activite (
        PERSONNE_ID numeric(19,0) not null,
        ACTIVITE_ID numeric(19,0) not null,
        primary key (PERSONNE_ID, ACTIVITE_ID)
    );

    alter table jpa08_hb_personne 
        add constraint FKA44B1E555FE379D0 
        foreign key (adresse_id) 
        references jpa08_hb_adresse;

    alter table jpa08_hb_personne_activite 
        add constraint FK5A6A55A5CD852024 
        foreign key (ACTIVITE_ID) 
        references jpa08_hb_activite;

    alter table jpa08_hb_personne_activite 
        add constraint FK5A6A55A568C7A284 
        foreign key (PERSONNE_ID) 
        references jpa08_hb_personne;
