CREATE TABLE jpa10_tl_plat (ID BIGINT NOT NULL, NOM VARCHAR(50) UNIQUE NOT NULL, VEGETARIEN TINYINT(1) default 0, PRIMARY KEY (ID))
CREATE TABLE jpa10_tl_restaurant_plat (Restaurant_ID BIGINT NOT NULL, plat_id BIGINT NOT NULL, PRIMARY KEY (Restaurant_ID, plat_id))
CREATE TABLE jpa10_tl_restaurant (ID BIGINT NOT NULL, NOM VARCHAR(30) UNIQUE NOT NULL, ADRESSE_ID BIGINT, PRIMARY KEY (ID))
CREATE TABLE jpa10_tl_adresse (ID BIGINT NOT NULL, NUMERO_RUE INTEGER, NOM_RUE VARCHAR(30) NOT NULL, PRIMARY KEY (ID))
ALTER TABLE jpa10_tl_restaurant_plat ADD CONSTRAINT FK_jpa10_tl_restaurant_plat_plat_id FOREIGN KEY (plat_id) REFERENCES jpa10_tl_plat (ID)
ALTER TABLE jpa10_tl_restaurant_plat ADD CONSTRAINT FK_jpa10_tl_restaurant_plat_Restaurant_ID FOREIGN KEY (Restaurant_ID) REFERENCES jpa10_tl_restaurant (ID)
ALTER TABLE jpa10_tl_restaurant ADD CONSTRAINT FK_jpa10_tl_restaurant_ADRESSE_ID FOREIGN KEY (ADRESSE_ID) REFERENCES jpa10_tl_adresse (ID)
CREATE TABLE SEQUENCE (SEQ_NAME VARCHAR(50) NOT NULL, SEQ_COUNT DECIMAL(38), PRIMARY KEY (SEQ_NAME))
INSERT INTO SEQUENCE(SEQ_NAME, SEQ_COUNT) values ('SEQ_GEN', 1)
